<?php
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$page->add_breadcrumb_item("Dark Revolution Style Settings", "index.php?module=style-darkrevolution");
global $mybb, $db, $page, $lang,$table;
$page->output_header("Dark Revolution Style Settings");

$area = $mybb->input['area'];
$subtabs = array();

$sub_tabs['darkrevsettings'] = array(
	'title' => "General Setings",
	'link' => "index.php?module=style-darkrevolution",
	'description' => "General settings for the Dark Revolution theme"
);
	
$sub_tabs['darkrevnavigation'] = array(
	'title' => "Navigation Editor",
	'link' => "index.php?module=style-darkrevolution&area=navigation",
	'description' => "Edit the navigation links for the Dark Revolution theme"
);

$page->output_nav_tabs($sub_tabs, 'style-darkrevolution');



if ($area == "navigation") {
	$form_container = new FormContainer("Manage Navigation Links");

	$form_container->output_row_header("Link Name", array('width' => '75%'));
	$form_container->output_row_header("Display Order", array('class' => 'align_center', 'width' => '5%'));
	$form_container->output_row_header("Actions", array('class' => 'align_center', 'width' => '15%'));

	$query = $db->simple_select("navlinks", "*", "1 ORDER BY ABS(ldisporder)");
	while($row = $db->fetch_array($query))
	{
		$form_container->output_cell($row['lname']);
		$form_container->output_cell($row['ldisporder'], array("class" => "align_center"));
		$form_container->output_cell('<a href="index.php?module=style-darkrevolution&amp;area=edit&amp;lid='.$row['lid'].'">Edit</a> | <a href="index.php?module=style-darkrevolution&amp;area=delete&amp;lid='.$row['lid'].'">Delete</a>', array("class" => "align_center"));
		$form_container->construct_row();
	}

	$form_container->end();

	$form = new Form("index.php?module=style-darkrevolution&area=navlinkadd", "post", "navigation");
	$form_container2 = new FormContainer("Add Navigation Link");
	$form_container2->output_row("Link Name", "The text to display for the link.", $form->generate_text_box('lname', '', array('id' => 'lname')), 'lname');
	$form_container2->output_row("Link URL", "The URL of the link..", $form->generate_text_box('lhref', '', array('id' => 'lhref')), 'lhref');
	$form_container2->output_row("Display Order", "Which position do you wish the link to appear in?", $form->generate_text_box('ldisporder', '', array('id' => 'ldisporder')), 'ldisporder');
	$form_container2->end();
	$buttons[] = $form->generate_submit_button("Add", array('name' => 'add'));
	$form->output_submit_wrapper($buttons);
	$form->end();
}
elseif ($area == "navlinkadd")
{
	$title = $db->escape_string($mybb->input['lname']);
	$href = $db->escape_string($mybb->input['lhref']);
	$ldisporder = $db->escape_string($mybb->input['ldisporder']);

	if ($db->insert_query("navlinks", array('lname' => $title, 'lhref' => $href, 'ldisporder' => $ldisporder)))
	{
		flash_message("Link added!", "success");
		admin_redirect("index.php?module=style-darkrevolution&area=navigation");
	}
	else {
		flash_message("Link failed to add.", "success");
		admin_redirect("index.php?module=style-darkrevolution&area=navigation");
	}
}
elseif ($area == "edit")
{
	$lid = intval($mybb->input['lid']);

	$query = $db->simple_select("navlinks", "*", "lid = '".$lid."'");

	$form = new Form("index.php?module=style-darkrevolution&area=save-edit", "post", "edit");
	$form_container = new FormContainer("Update Link");

	while($row = $db->fetch_array($query))
	{
		$form_container->output_row("Link ID", "The ID of the link.", $form->generate_text_box('lid', $row['lid'], array('id' => 'lid', 'style' => 'display: none;')), 'lid', array("style" => "display: none;"));
		$form_container->output_row("Link Title", "The title of the link, shown in the navbar.", $form->generate_text_box('lname', $row['lname'], array('id' => 'lname')), 'lname');
		$form_container->output_row("Link URL", "The URL for the link to point to.", $form->generate_text_box('lhref', $row['lhref'], array('id' => 'lhref')), 'lhref');
		$form_container->output_row("Display Order", "Which position should this link appear in?", $form->generate_text_box('ldisporder', $row['ldisporder'], array('id' => 'ldisporder')), 'ldisporder');
	}
	$form_container->end();
	$buttons[] = $form->generate_submit_button("Update", array('name' => 'update'));
	$form->output_submit_wrapper($buttons);
	$form->end();
}
elseif ($area == "delete")
{
	$lid = intval($mybb->input['lid']);
	if ($db->delete_query("navlinks", "lid = '".$lid."'"))
	{
		flash_message("Update Successful", "success");
		admin_redirect("index.php?module=style-darkrevolution&area=navigation");
	}
	else {
		flash_message("Update Unsuccessful", "success");
		admin_redirect("index.php?module=style-darkrevolution&area=navigation");
	}
}
elseif ($area == "save-edit") {
	$lid = intval($mybb->input['lid']);
	$newtitle = $db->escape_string($mybb->input['lname']);
	$newhref = $db->escape_string($mybb->input['lhref']);
	$ldisporder = intval($mybb->input['ldisporder']);

	if ($db->update_query("navlinks", array('lname' => $newtitle, 'lhref' => $newhref, 'ldisporder' => $ldisporder), "lid = ".$lid)) {
		flash_message("Update Successful", "success");
		admin_redirect("index.php?module=style-darkrevolution&area=navigation");
	}
	else {
		flash_message("Update Unsuccessful", "success");
		admin_redirect("index.php?module=style-darkrevolution&area=navigation");
	}
}
else {

	if ($mybb->input['color']) {
		$newcolor = $db->escape_string($mybb->input['color']);
		$newmetadesc = $db->escape_string($mybb->input['metadesc']);
		$banner = $db->escape_string($mybb->input['banner']);
		$ganalytics = $db->escape_string($mybb->input['ganalytics']);
		
		if ($db->query("UPDATE `".TABLE_PREFIX."settings` SET  `value` =  '".$newcolor."' WHERE `".TABLE_PREFIX."settings`.`name` = 'DarkRevolutionThead'") && $db->query("UPDATE `".TABLE_PREFIX."settings` SET  `value` =  '".$newmetadesc."' WHERE `".TABLE_PREFIX."settings`.`name` = 'DarkRevolutionSEODescription'") && $db->query("UPDATE `".TABLE_PREFIX."settings` SET  `value` =  '".$banner."' WHERE `".TABLE_PREFIX."settings`.`name` = 'DarkRevolutionBanner'") && $db->query("UPDATE `".TABLE_PREFIX."settings` SET  `value` =  '".$ganalytics."' WHERE `".TABLE_PREFIX."settings`.`name` = 'DarkRevolutionGAnalytics'")) {
			flash_message("Update Successful", "success");
			admin_redirect("index.php?module=style-darkrevolution");
		}
		else {
			flash_message("Update Unsuccessful", "success");
			admin_redirect("index.php?module=style-darkrevolution");
		}
		
	}
	else {
		$currentcolor = $db->fetch_array($db->simple_select("settings","value","name='DarkRevolutionThead' LIMIT 1"));
		$currentmetadesc = $db->fetch_array($db->simple_select("settings","value","name='DarkRevolutionSEODescription' LIMIT 1"));
		$currentbanner = $db->fetch_array($db->simple_select("settings","value","name='DarkRevolutionBanner' LIMIT 1"));
		$ganalytics = $db->fetch_array($db->simple_select("settings","value","name='DarkRevolutionGAnalytics' LIMIT 1"));
		$form = new Form("index.php?module=style-darkrevolution", "post", "update");
		$form_container = new FormContainer("Change Style Settings");
		$form_container->output_row("Thead Background Colour", "The background colour for all Theads and other similar elements - in the form #xxxxxx", $form->generate_text_box('color', $currentcolor['value'], array('id' => 'color')), 'color');
		$form_container->output_row("Index Page Meta Description", "Meta descriptions are used for SEO purposes - please describe your site in around 150 characters.", $form->generate_text_box('metadesc', $currentmetadesc['value'], array('id' => 'metadesc')), 'metadesc');
		$form_container->output_row("Forum Banner", "Enter the URL of the banner you wish to use at the top of the forums.", $form->generate_text_box('banner', $currentbanner['value'], array('id' => 'banner')), 'banner');
		$form_container->output_row("Google Analytics Code", "If you wish to add Google Analytics/Google Webmaster tools to you site, simply paste the code (inside the script tags) in this box.", $form->generate_text_area('ganalytics', $ganalytics['value'], array('id' => 'ganalytics')), 'ganalytics');
		$form_container->end();
		$buttons[] = $form->generate_submit_button("Update", array('name' => 'update'));
		$form->output_submit_wrapper($buttons);
		$form->end();
	}
}


$page->output_footer();
?>